# general info
NAME="make-ca"
DESC="PKI setup script for LFS (and others)"
VERSION="1.14"

# required files
FILES=(
  "https://github.com/lfs-book/make-ca/archive/refs/tags/v${VERSION}.tar.gz"
  "https://anduin.linuxfromscratch.org/BLFS/other/certdata.txt"
)
HASHES=(
  "6391698fe6db16eb190da1aba802bc90c09c8baa4c116d9c65647bea87f190db"
  "4c933cfd2327b2a381542f3cb6392179d5e359811f5274734e8dc7e28e587b61"
)

# install and build depends
DEPENDS=("p11-kit" "libtasn1")
BUILD=()

PACKAGE(){
  tar xf "v${VERSION}.tar.gz"
  cd "${NAME}-${VERSION}"

  make DESTDIR="${ROOTDIR}" install
  install -vdm755 "${ROOTDIR}/etc/ssl/local"
  install -m644 "${ROOTDIR}/certdata.txt" "${ROOTDIR}/etc/ssl"

  cd .. && rm -r "${NAME}-${VERSION}"
}
